Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
notification-targets
/
{uuid}
GetNotificationTarget
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/notification-targets/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "action": {
      "action_type": "ACTION_TYPE_UNSPECIFIED",
      "email_config": {
        "receivers_addresses": [
          "<string>"
        ]
      },
      "exclude_endor_url": true,
      "github_pr_config": {
        "enabled": true
      },
      "jira_config": {
        "labels": [
          "<string>"
        ],
        "project_key": "<string>",
        "url": "<string>",
        "api_key": "<string>",
        "bearer_token": "<string>",
        "components": [
          "<string>"
        ],
        "custom_fields": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "issue_type": "JIRA_ISSUE_TYPE_UNSPECIFIED",
        "jira_issue_type": "<string>",
        "resolve_state": "<string>",
        "use_bearer_token": true,
        "user_name": "<string>"
      },
      "public": true,
      "slack_config": {
        "webhook_url": "<string>"
      },
      "vanta_config": {
        "auth_method": "VANTA_AUTH_METHOD_UNSPECIFIED",
        "vulnerable_component_resource_id": "<string>",
        "access_token_auth": {
          "access_token": "<string>",
          "client_id": "<string>",
          "client_secret": "<string>"
        },
        "api_key": "<string>",
        "package_vulnerability_resource_id": "<string>",
        "sca_resource_id": "<string>"
      },
      "webhook_config": {
        "auth_method": "WEBHOOK_AUTH_METHOD_UNSPECIFIED",
        "url": "<string>",
        "api_key": "<string>",
        "basic_auth": {
          "password": "<string>",
          "username": "<string>"
        },
        "disable_hmac": true,
        "hmac_shared_secret": "<string>"
      }
    },
    "custom_template": {
      "template_type": "CUSTOM_TEMPLATE_TYPE_UNSPECIFIED",
      "email_template": {
        "open_action_template": "<string>",
        "resolve_action_template": "<string>",
        "update_action_template": "<string>"
      },
      "prcomments_template": {
        "findings_summary_template": "<string>"
      },
      "slack_template": {
        "open_action_template": "<string>",
        "update_action_template": "<string>"
      },
      "webhook_template": {
        "open_action_template": "<string>",
        "resolve_action_template": "<string>",
        "update_action_template": "<string>"
      }
    }
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

Indicates actions taken when a corresponding notification is raised.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Indicates whether the object should be visible in the child namespaces or not.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the notification target.